io.vertx.json.schema.common

## Class RefSchema

- java.lang.Object
- - io.vertx.json.schema.common.BaseMutableStateValidator
  - - io.vertx.json.schema.common.SchemaImpl
    - - io.vertx.json.schema.common.RefSchema

- All Implemented Interfaces:
    AsyncValidator, MutableStateValidator, PriorityGetter, SchemaInternal, SyncValidator, Validator, Schema

      public class RefSchema
      extends SchemaImpl

- - ### Field Summary

    - ### Fields inherited from class io.vertx.json.schema.common.SchemaImpl

      `shouldRecordContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefSchema(JsonObject schema, JsonPointer scope, SchemaParser schemaParser, MutableStateValidator parent, boolean executeSchemaValidators)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `calculateIsSync()`
    `Future<Object>` | `getOrApplyDefaultAsync(Object input)`
    `Object` | `getOrApplyDefaultSync(Object input)`
    `protected void` | `initializeIsSync()`
    `Future<Void>` | `validateAsync(ValidatorContext inContext, Object in)` Return a Future that succeed when the validation succeed, while fail with a `ValidationException` when validation fails
    `void` | `validateSync(ValidatorContext context, Object in)` Validate the provided value

    - ### Methods inherited from class io.vertx.json.schema.common.SchemaImpl

      `generateValidationContext, getJson, getScope, runAsyncValidators, runSyncValidator, triggerUpdateIsSync, validateAsync, validateSync`

    - ### Methods inherited from class io.vertx.json.schema.common.BaseMutableStateValidator

      `checkSync, getParent, getPriority, isSync, validateSyncAsAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.json.schema.Schema

      `isSync`

    - ### Methods inherited from interface io.vertx.json.schema.common.Validator

      `isSync`

    - ### Methods inherited from interface io.vertx.json.schema.common.PriorityGetter

      `getPriority`

- - ### Constructor Detail

    - #### RefSchema

          public RefSchema(JsonObject schema,
                           JsonPointer scope,
                           SchemaParser schemaParser,
                           MutableStateValidator parent,
                           boolean executeSchemaValidators)

  - ### Method Detail

    - #### validateAsync

          public Future<Void> validateAsync(ValidatorContext inContext,
                                            Object in)

      Description copied from interface: `AsyncValidator`
      Return a Future that succeed when the validation succeed, while fail with a `ValidationException` when validation fails
      Specified by:
        `validateAsync` in interface `AsyncValidator`
      Overrides:
        `validateAsync` in class `SchemaImpl`
      Returns:

    - #### validateSync

          public void validateSync(ValidatorContext context,
                                   Object in)
                            throws ValidationException

      Description copied from interface: `SyncValidator`
      Validate the provided value
      Specified by:
        `validateSync` in interface `SyncValidator`
      Overrides:
        `validateSync` in class `SchemaImpl`
      Throws:
        `ValidationException` - if the object is not valid

    - #### calculateIsSync

          public boolean calculateIsSync()

      Overrides:
        `calculateIsSync` in class `SchemaImpl`

    - #### initializeIsSync

          protected void initializeIsSync()

      Overrides:
        `initializeIsSync` in class `BaseMutableStateValidator`

    - #### getOrApplyDefaultAsync

          public Future<Object> getOrApplyDefaultAsync(Object input)

      Specified by:
        `getOrApplyDefaultAsync` in interface `SchemaInternal`
      Overrides:
        `getOrApplyDefaultAsync` in class `SchemaImpl`

    - #### getOrApplyDefaultSync

          public Object getOrApplyDefaultSync(Object input)

      Specified by:
        `getOrApplyDefaultSync` in interface `SchemaInternal`
      Overrides:
        `getOrApplyDefaultSync` in class `SchemaImpl`

Copyright © 2022 Eclipse. All rights reserved.